Bug 1822012

Summary: When using the clamav-freshclam.service all log messages are logged twice
Product: [Fedora] Fedora EPEL Reporter: Frank Büttner <bugzilla>
Component: clamavAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: anon.amish, bennie.joubert, janfrode, lee.jnk, ondrejj, orion, redhat-bugzilla, rh-bugzilla, sergio, steve, tibbs
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: clamav-0.102.3-1.fc32 clamav-0.102.3-1.fc31 clamav-0.102.3-1.fc30 clamav-0.102.3-1.el8 clamav-0.102.3-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-23 02:43:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Frank Büttner 2020-04-08 04:24:24 UTC
Description of problem:
When using the systemd service, all log messages are logged two times.

Version-Release number of selected component (if applicable):
clamav-0.102.2-4.el7.x86_64

How reproducible:
every time

Steps to Reproduce:
1. start clamav-freshclam.service


Actual results:
This will logged into the journal:
Apr 08 06:20:40 localhost.localdomain systemd[1]: Started ClamAV virus database updater.
Apr 08 06:20:40 localhost.localdomain freshclam[31731]: freshclam daemon 0.102.2 (OS: linux-gnu, ARCH: x86_64, CPU: x86_64)
Apr 08 06:20:40 localhost.localdomain freshclam[31731]: ClamAV update process started at Wed Apr  8 06:20:40 2020
Apr 08 06:20:40 localhost.localdomain freshclam[31731]: ClamAV update process started at Wed Apr  8 06:20:40 2020
Apr 08 06:20:40 localhost.localdomain freshclam[31731]: daily database available for update (local version: 25773, remote version: 25775)
Apr 08 06:20:40 localhost.localdomain freshclam[31731]: daily database available for update (local version: 25773, remote version: 25775)
Apr 08 06:20:41 localhost.localdomain freshclam[31731]: Testing database: '/var/lib/clamav/tmp.8771d/clamav-b01f7fd1110631917adf96fd1e3f1b3f.tmp-daily.cld' ...
Apr 08 06:20:41 localhost.localdomain freshclam[31731]: Testing database: '/var/lib/clamav/tmp.8771d/clamav-b01f7fd1110631917adf96fd1e3f1b3f.tmp-daily.cld' ...


Expected results:
That the messages are only logged one time to the journal.

Comment 1 Sergio Basto 2020-04-08 22:49:18 UTC
my guess /etc/freshclam.conf have UpdateLogFile /var/log/freshclam.log enabled ... 
unfortunately we try to keep old behavior on epel 7 , and both beaviors aren't compatible yet , i.e. enable systemd service , you may need disable crontab service in every update .

Comment 2 Orion Poplawski 2020-04-09 01:02:15 UTC
No, he's talking about the journal.  The issue is that by default freshclam logs to both stdout and to syslog - both of which make it into the journal.  I suspect the proper thing to do is to not enable "LogSyslog yes" by default.

Comment 3 Orion Poplawski 2020-04-09 01:11:14 UTC
Untested - https://src.fedoraproject.org/rpms/clamav/pull-request/11

Comment 4 Sergio Basto 2020-04-09 02:24:24 UTC
yes I tested PR approved !

Comment 5 Fedora Update System 2020-05-07 04:34:41 UTC
FEDORA-2020-449ef64b54 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-449ef64b54

Comment 6 Fedora Update System 2020-05-07 04:35:15 UTC
FEDORA-2020-dcb7a1f57b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcb7a1f57b

Comment 7 Fedora Update System 2020-05-07 04:35:34 UTC
FEDORA-2020-6ffef7e6a4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6ffef7e6a4

Comment 8 Fedora Update System 2020-05-08 04:09:41 UTC
FEDORA-2020-449ef64b54 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-449ef64b54`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-449ef64b54

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-08 04:52:24 UTC
FEDORA-2020-6ffef7e6a4 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6ffef7e6a4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6ffef7e6a4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-08 05:08:49 UTC
FEDORA-2020-dcb7a1f57b has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dcb7a1f57b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcb7a1f57b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-08 12:37:17 UTC
FEDORA-EPEL-2020-6d1d2497d0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6d1d2497d0

Comment 12 Fedora Update System 2020-05-08 12:37:43 UTC
FEDORA-EPEL-2020-2692293800 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2692293800

Comment 13 Fedora Update System 2020-05-09 03:30:20 UTC
FEDORA-EPEL-2020-2692293800 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2692293800

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-09 04:16:31 UTC
FEDORA-EPEL-2020-6d1d2497d0 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6d1d2497d0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-15 04:31:06 UTC
FEDORA-2020-bca44487a1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-bca44487a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bca44487a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-05-15 04:41:37 UTC
FEDORA-EPEL-2020-765ceaa306 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-765ceaa306

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-05-15 04:44:41 UTC
FEDORA-EPEL-2020-235a51a239 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-235a51a239

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-05-15 05:09:57 UTC
FEDORA-2020-b0acd7b66e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b0acd7b66e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b0acd7b66e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-05-15 05:47:17 UTC
FEDORA-2020-d98d2cbae1 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d98d2cbae1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d98d2cbae1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-05-23 02:43:58 UTC
FEDORA-2020-bca44487a1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-05-23 02:50:45 UTC
FEDORA-2020-b0acd7b66e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-05-23 03:21:55 UTC
FEDORA-2020-d98d2cbae1 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-05-30 00:40:46 UTC
FEDORA-EPEL-2020-765ceaa306 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-05-30 01:43:58 UTC
FEDORA-EPEL-2020-235a51a239 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.